Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ForwardSource

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ForwardSource

Enclosing class:
  TdApi

public static final class TdApi.ForwardSource extends TdApi.Object
Contains information about the last message from which a new message was forwarded last time.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat to which the message that was forwarded belonged; may be 0 if unknown.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`date`
Point in time (Unix timestamp) when the message is sent; 0 if unknown.
`boolean`
`isOutgoing`
True, if the message that was forwarded is outgoing; always false if sender is unknown.
`long`
`messageId`
Identifier of the message; may be 0 if unknown.
`TdApi.MessageSender`
`senderId`
Identifier of the sender of the message; may be null if unknown or the new message was forwarded not to Saved Messages.
`String`
`senderName`
Name of the sender of the message if the sender is hidden by their privacy settings.

## Constructor Summary

Constructors
Constructor
Description
`ForwardSource()`
Contains information about the last message from which a new message was forwarded last time.
`ForwardSource(long chatId, long messageId, TdApi.MessageSender senderId, String senderName, int date, boolean isOutgoing)`
Contains information about the last message from which a new message was forwarded last time.
`ForwardSource(DataInput input)`
Contains information about the last message from which a new message was forwarded last time.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which the message that was forwarded belonged; may be 0 if unknown.

### messageId

public long messageId
Identifier of the message; may be 0 if unknown.

### senderId

public TdApi.MessageSender senderId
Identifier of the sender of the message; may be null if unknown or the new message was forwarded not to Saved Messages.

### senderName

public String senderName
Name of the sender of the message if the sender is hidden by their privacy settings.

### date

public int date
Point in time (Unix timestamp) when the message is sent; 0 if unknown.

### isOutgoing

public boolean isOutgoing
True, if the message that was forwarded is outgoing; always false if sender is unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ForwardSource

public ForwardSource()
Contains information about the last message from which a new message was forwarded last time.

### ForwardSource

public ForwardSource(long chatId, long messageId, TdApi.MessageSender senderId, String senderName, int date, boolean isOutgoing)
Contains information about the last message from which a new message was forwarded last time.

Parameters:
  `chatId` - Identifier of the chat to which the message that was forwarded belonged; may be 0 if unknown.
  `messageId` - Identifier of the message; may be 0 if unknown.
  `senderId` - Identifier of the sender of the message; may be null if unknown or the new message was forwarded not to Saved Messages.
  `senderName` - Name of the sender of the message if the sender is hidden by their privacy settings.
  `date` - Point in time (Unix timestamp) when the message is sent; 0 if unknown.
  `isOutgoing` - True, if the message that was forwarded is outgoing; always false if sender is unknown.

### ForwardSource

public ForwardSource(DataInput input) throws IOException
Contains information about the last message from which a new message was forwarded last time.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`